For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all accounting entities
        • GETGet accounting entity by id
        • GETGet all invoices
        • GETGet an invoice by ID
        • POSTCreate Invoice: Entrata
        • PUTUpdate Invoice: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataInvoices

Get all invoices

GET
/v1/invoices/
GET
/v1/invoices/
$curl https://api.propexo.com/v1/invoices/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "1234567890",
18 "x_property_id": "123456",
19 "x_location_id": null,
20 "x_vendor_id": "1234567",
21 "x_financial_account_id": null,
22 "x_cash_financial_account_id": null,
23 "x_ap_financial_account_id": null,
24 "amount_due_in_cents": 3500,
25 "amount_paid_in_cents": 3500,
26 "custom_data": {},
27 "due_date": "2024-03-03T00:00:00.000Z",
28 "discount_amount_in_cents": 500,
29 "discount_date": null,
30 "invoice_date": "2024-03-03T00:00:00.000Z",
31 "invoice_number": "INV-1234",
32 "notes": "This is a note",
33 "post_date": "2024-03-03T00:00:00.000Z",
34 "post_month": "2024-03-03",
35 "post_status_raw": "Posted",
36 "sub_total_amount_in_cents": 3000,
37 "total_amount_in_cents": 3500,
38 "property_id": "clwi5xiix000008l6ctdgafyh",
39 "financial_account_id": null,
40 "cash_financial_account_id": null,
41 "ap_financial_account_id": null,
42 "integration_id": "clwh5u07w000508me66sfh3um",
43 "integration_vendor": "ENTRATA",
44 "invoice_items": [
45 {
46 "x_id": "986235",
47 "x_property_id": "889254",
48 "x_location_id": null,
49 "x_gl_account_id": "235226",
50 "x_cash_financial_account_id": null,
51 "invoice_id": "clxkr6spo0006t7ozhc0keba8",
52 "construction_job_id": null,
53 "amount_due_in_cents": 2500,
54 "notes": "This is a note",
55 "total_amount_in_cents": 2500,
56 "property_id": "clwi5xiix000008l6ctdgafyh",
57 "financial_account_id": "cme02s5xx454647512saocg1tpazam",
58 "cash_financial_account_id": null
59 }
60 ]
61 }
62 ]
63}
Get all invoices
Was this page helpful?
Previous

Get an invoice by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error